ZK Compression
getCompressedMintTokenHolders
Returns the owner balances for a given mint in descending order.
POST
/
cURL
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getCompressedMintTokenHolders",
"params": {
"mint": "111111152P2r5yt6odmBLPsFCLBrFisJ3aS7LqLAT",
"cursor": "3J98t1WpEZ73CNm",
"limit": 1
}
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getCompressedMintTokenHolders",
"params": {
"mint": "111111152P2r5yt6odmBLPsFCLBrFisJ3aS7LqLAT",
"cursor": "3J98t1WpEZ73CNm",
"limit": 1
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getCompressedMintTokenHolders',
params: {
mint: '111111152P2r5yt6odmBLPsFCLBrFisJ3aS7LqLAT',
cursor: '3J98t1WpEZ73CNm',
limit: 1
}
})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"slot": 100
},
"value": {
"items": [
{
"balance": 100,
"owner": "111111152P2r5yt6odmBLPsFCLBrFisJ3aS7LqLAT"
}
],
"cursor": "3J98t1WpEZ73CNm"
}
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}Request Parameters
A base 58 encoded string.
A Solana public key represented as a base58 string.
Authorizations
Body
application/json
The version of the JSON-RPC protocol.
Available options:
2.0 An ID to identify the request.
The name of the method to invoke.
Available options:
getCompressedMintTokenHolders Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
